unit ControlPanel;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TMatrix        = array [1..3,1..3] of Real;
  TControl_Panel = class(TForm)
    Button1: TButton;
    Button2: TButton;
    StaticText9: TStaticText;
    StaticText10: TStaticText;
    procedure Finish(Sender: TObject);
    procedure Transformation(Sender: TObject);
    procedure SetDrawCaption(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Control_Panel: TControl_Panel;

implementation

uses Graph2d_2005;

{$R *.DFM}

procedure TControl_Panel.Finish(Sender: TObject);
begin
  Draw2D.Visible:=False;Halt;
end;

procedure TControl_Panel.Transformation(Sender: TObject);

   procedure Transform(X:TPoint;var Xc:TPoint);
   begin
     Xc[1]:=-2*X[1]+  X[2]+6;
     Xc[2]:=  -X[1]+2*X[2]+5;
   end;

begin
   With Draw2D do
   begin
    { Souradnice vrcholu }
    A[1]:=0;A[2]:=0;A[3]:=1;
    B[1]:=4;B[2]:=1;B[3]:=1;
    C[1]:=1;C[2]:=4;C[3]:=1;
    { Uzivatelska kreslici plocha }
    x1:=-2;x2:=9;y1:=-1;y2:=13;
    Scale(x1,x2,y1,y2);
    { Souradna soustava s popisem }
    Red:=255;Green:=0;Blue:=0;
    XScale(x1,x2,0,Red,Green,Blue);
    YScale(y1,y2,0,Red,Green,Blue);
    { Trojuhelnik }
    Red:=0;Green:=160;Blue:=160;
    Image1.Canvas.Pen.Width:=2;
    cvTriangle(A,B,C,Red,Green,Blue);
    { Transformace }
    Transform(A,Ac);Transform(B,Bc);Transform(C,Cc);
    {Transformovany trojuhelnik}
    Red:=160;Green:=0;Blue:=160;
    cvTriangle(Ac,Bc,Cc,Red,Green,Blue);
  end;
 end;
 
procedure TControl_Panel.SetDrawCaption(Sender: TObject);
begin
 Application.CreateForm(TDraw2D, Draw2D);
 With Draw2D do
  begin
    ClientWidth:=500;ClientHeight:=500;
    InitImage(500,500);ClearImage(255,255,255);
    Top:=40;Left:=220;
    Caption:='Linear Transform';
    Visible:=True;
  end;
end;


end.
